Package org.snpeff.vcf

# Class VcfHeaderFormat

java.lang.Object
org.snpeff.vcf.VcfHeaderEntry
org.snpeff.vcf.VcfHeaderInfo
org.snpeff.vcf.VcfHeaderFormat

All Implemented Interfaces:
  `Serializable`

public class VcfHeaderFormat extends VcfHeaderInfo

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.vcf.VcfHeaderInfo

`VcfHeaderInfo.VcfInfoNumber`

## Field Summary

### Fields inherited from class org.snpeff.vcf.VcfHeaderInfo

`description, implicit, number, vcfInfoNumber, vcfInfoType`

### Fields inherited from class org.snpeff.vcf.VcfHeaderEntry

`id, line`

## Constructor Summary

Constructors
Constructor
Description
`VcfHeaderFormat(String line)`
Constructor using a "##FORMAT" line from a VCF file
`VcfHeaderFormat(String id, VcfInfoType vcfInfoType, String number, String description)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFormat()`
`String`
`toString()`

### Methods inherited from class org.snpeff.vcf.VcfHeaderInfo

`getDescription, getNumber, getNumberString, getVcfInfoNumber, getVcfInfoType, isImplicit, isInfo, isNumberAllAlleles, isNumberNumber, isNumberOnePerAllele, isNumberOnePerGenotype, isNumberPerAllele, setImplicit, setNumber, setNumber, setVcfInfoNumber, setVcfInfoType`

### Methods inherited from class org.snpeff.vcf.VcfHeaderEntry

`factory, getId, setId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VcfHeaderFormat

public VcfHeaderFormat(String line)
Constructor using a "##FORMAT" line from a VCF file

### VcfHeaderFormat

public VcfHeaderFormat(String id, VcfInfoType vcfInfoType, String number, String description)

## Method Details

### isFormat

public boolean isFormat()

Overrides:
  `isFormat` in class `VcfHeaderEntry`

### toString

public String toString()

Overrides:
  `toString` in class `VcfHeaderInfo`